# Generated by rust2rpm 13
%bcond_without check
%global debug_package %{nil}

%global crate ipnet

Name:           rust-%{crate}
Version:        2.3.0
Release:        1%{?dist}
Summary:        Provides types and useful methods for working with IP prefixes

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/ipnet
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Provides types and useful methods for working with IPv4 and IPv6 network
addresses, commonly called IP prefixes. The new `IpNet`, `Ipv4Net`, and
`Ipv6Net` types build on the existing `IpAddr`, `Ipv4Addr`, and `Ipv6Addr`
types already provided in Rust's standard library and align to their design to
stay consistent. The module also provides useful traits that extend `Ipv4Addr`
and `Ipv6Addr` with methods for `Add`, `Sub`, `BitAnd`, and `BitOr` operations.
The module only uses stable feature so it is guaranteed to compile using the
stable toolchain.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md RELEASES.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages
which use "serde" feature of "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Mar 17 2020 Josh Stone <jistone@redhat.com> - 2.3.0-1
- Update to 2.3.0

* Thu Feb 06 2020 Josh Stone <jistone@redhat.com> - 2.2.0-1
- Update to 2.2.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Nov 11 14:31:12 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.1.0-1
- Initial package
